TYPO3 CMS Usability Team - Suggestion # 36052

Status: Resolved Priority: Should have
Author: Jens Hoffmann Category: Design
Created: 2012-04-14 Assigned To: Jens Hoffmann
Updated: 2013-07-05 Due date:

Tags:

Subject: Visual improvements for IRRE (in Fal)

Description

Old:

fal-meta-data-old.png

New:

fal-meta-data-new3.png

<hr>

Old:
fal-meta-data-form-old.png
New:
fal-meta-data-form-new1.png
fal-meta-data-form-new2.png

Related issues:

related to TYPO3 CMS Usability Team - Bug # 12221: Position and styling of ic... Closed 2011-01-14 2011-01-19
related to Core - Feature # 49721: Add label_userFunc_options to BackendUTtility Resolved 2013-07-06
related to TYPO3 CMS Usability Team - Bug # 5353: IRRE: ltem options need ind... Closed 2009-11-13
related to TYPO3 CMS Usability Team - Bug # 782: IRRE: Header and fields of a... Closed 2008-06-13
related to TYPO3 CMS Usability Team - Bug # 10278: IRRE should be more efficient Closed 2010-10-15
related to TYPO3 CMS Usability Team - Bug # 49718: Change the label user func... Rejected 2013-07-05
related to TYPO3 CMS Usability Team - Bug # 41173: Input improvement (follow-... Closed 2012-09-21
related to Core - Bug # 44617: You can not expand newly created, collapsed IR... Resolved 2013-01-17
related to TCA Reference - Feature # 49716: label_func addition for rendering... Closed 2013-07-05
related to Core - Bug # 38728: Make all action icons look like buttons Closed 2012-07-07
blocks Core - Bug # 51411: Label user function for sys_file_reference uses HTML Resolved 2013-08-27
History

#1 - 2012-04-14 18:21 - Jens Hoffmann
- File fal-meta-data-form-new1.png added
- File fal-meta-data-form-new2.png added
- File fal-meta-data-new3.png added

#2 - 2012-04-14 18:22 - Jens Hoffmann
- File deleted (fal-meta-data-form-new.png)

#3 - 2012-04-14 18:23 - Jens Hoffmann
- File deleted (fal-meta-data-new.png)

#4 - 2012-04-14 18:30 - Jens Hoffmann
- File arrow-close.png added
- File arrow-open.png added
- File browse-btn.png added
- File form-input-close.png added
- File handle.png added

Parts:

#5 - 2012-07-02 15:22 - Felix Kopp
- File calendar-button.png added

- File before.png added

- File after.jpg added

What about the date fields:
These also have calendar icons next to the field.

Before
before.png

After

Last Update

Toolbox (sprite with button background)

[E]

#6 - 2012-07-02 15:55 - Jens Hoffmann

Like! :)

#7 - 2012-07-07 13:03 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12676

#8 - 2012-07-07 13:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12676

#9 - 2012-07-07 13:37 - Oliver Hader
- File review_olly.png added

See screenshot after change in Safari/Mac

review_olly.png

#10 - 2012-07-07 15:38 - Jens Hoffmann

Goes into the right direction! Nice! :)

#11 - 2012-07-07 16:54 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12676

#12 - 2012-07-08 00:30 - Steffen Ritter
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:392f47b34a5559f2e50794369afbc4d60e840cbe.

#13 - 2013-07-05 12:07 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21916

#14 - 2013-07-05 12:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21916

#15 - 2013-07-05 12:48 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21916

#16 - 2013-07-05 12:53 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21916

#17 - 2013-07-05 12:54 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21916

#18 - 2013-07-05 15:12 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#19 - 2013-07-05 15:14 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21916

#20 - 2013-07-05 15:37 - Markus Klein

| suggest to always show the currently valid title of an image.

This means that if the editor specifies a title in the reference, this title will be shown.

If no title is specified, the title from the file is displayed.

#21 - 2013-07-05 15:45 - Jens Hoffmann

ok )

#22 - 2013-07-05 17:10 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/21916

#23 - 2013-07-05 17:11 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21916

#24 - 2013-07-05 17:29 - Gerrit Code Review
Patch set 10 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#25 - 2013-07-05 17:33 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21916

#26 - 2013-07-05 17:38 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#27 - 2013-07-05 17:54 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#28 - 2013-07-05 18:10 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21916

#29 - 2013-07-05 18:28 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#30 - 2013-07-05 20:54 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#31 - 2013-07-05 20:59 - Gerrit Code Review

Patch set 17 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/21916

#32 - 2013-07-05 21:08 - Gerrit Code Review

Patch set 18 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916

#33 - 2013-07-05 21:14 - Gerrit Code Review
Patch set 19 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/21916
